Subject: NA-NET distribution message

From: [email-masked]
Date: Sat, 4 Feb 89 15:32:28 PST

NA Digest   Saturday, February 4, 1989   Volume 89 : Issue 5

Today's Editor: Cleve Moler

Today's Topics:

     Elementary Function Test Routines in C
     Complex Arithmetic in C
     Information for the SIAG/LA Newsletter

-------------------------------------------------------

From: Paul E. McKenney <[email-masked]>
Date: 30 Jan 89 00:08:34 GMT
Subject: Elementary Function Test Routines in C

Does anyone know of any routines (preferably public-domain or at least
freely usable) written in C for testing the elementary functions
(sin, cos, tan, exp, ln, exponentation, etc.)?  I am aware of a group
of routines written in Fortran available from [email-masked].
If worst comes to worst, I could convert these to C, but if someone
out there has already done the work . . .

				Thanx, Paul
				[email-masked]
				SRI International

[Ed. Note: The Cody and Waite test suite, known as ELEFUNT, is written
in Fortran and available from Netlib.  Chris Jensen at the University
of New Mexico translated part, if not all, of ELEFUNT to C several
years ago.  I may be able to find her work on an old backup tape if nobody
has anything more accessible.  --Cleve ]

------------------------------

From: Brian Mc Enery <[email-masked]>
Date: Mon, 30 Jan 89 11:21:34 IST
Subject: Complex Arithmetic in C

I am about to translate a large FORTRAN program to C. The one problem
which bugs me most is the lack of complex arithmetic in C, as the
program I am working on requires a lot of complex arithmetic. Does anyone
have or know of a library of functions or macro's, which will implement
complex arithmetic - or do I have to translate all the complex operations
to real ?.

                  Brian Mc Enery
                  Math Physics Dept.
                  University College Cork.
                  Ireland.
                  BITNET : scmp6012@iruccibm

------------------------------

From: Pamela G. Coxson <[email-masked]>
Date: Mon, 30 Jan 89 09:06:25 PST
Subject: Information for the SIAG/LA Newsletter

To members of the SIAG/LA of SIAM:

Are you going on sabbatical or moving to a new location?  Have you won an
award or been appointed or elected to a new position?  Your colleagues in
SIAG/LA would like to know.  Please mail this important information to me
at [email-masked].  If I receive it by February 10, I can include it in
the March newsletter.  Items appropriate for the October newsletter should
also be sent as soon as they are known.

Thank you very much for your assistance.

Yours sincerely,
   Pam Coxson
   Secretary, SIAG/LA
   [email-masked]
   415-486-4057

------------------------------

End of NA Digest
**************************
-------